/* ======================================================================
*   Copyright (C) 2022-2023 Texas Instruments Incorporated
*
*   All rights reserved. Property of Texas Instruments Incorporated.
*   Restricted rights to use, duplicate or disclose this code are
*   granted through contract.
*
*   The program may not be used without the written permission
*   of Texas Instruments Incorporated or against the terms and conditions
*   stipulated in the agreement under which this program has been
*   supplied.
* ==================================================================== */
 /***************************************************************************
  Project: Application_Can
  Date   : 2024-03-23 21:31:44

  This file is generated by EB Tresos
  Do not modify this file, otherwise the software may behave in unexpected way.

 *****************************************************************************/

/*
 * Module switch
 */
/**********************************************************************************************************************
 *  INCLUDES
 *********************************************************************************************************************/
 #include "Can.h"
 #include "Can_Cfg.h"

/**********************************************************************************************************************
 *  VERSION CHECK
 *********************************************************************************************************************/

/** \brief Can configuration Major Version */
#define CAN_CFG_C_MAJOR_VERSION           (9U)
/** \brief Can configuration Minor Version */
#define CAN_CFG_C_MINOR_VERSION           (0U)
/** \brief Can configuration Patch Version */
#define CAN_CFG_C_PATCH_VERSION           (1U)

/*  Version checking  */
 #if (   (CAN_SW_MAJOR_VERSION != (9U))||(CAN_SW_MINOR_VERSION != (0U)))
  #error "Version numbers of Can_Cfg.c and Can.h are inconsistent!"
#endif
#if (   (CAN_CFG_MAJOR_VERSION != (9U))||(CAN_CFG_MINOR_VERSION != (0U)))
  #error "Version numbers of Can_Cfg.c and Can_Cfg.h are inconsistent!"
#endif
/**********************************************************************************************************************
 *  GLOBAL DATA
 *********************************************************************************************************************/
#define CAN_START_SEC_CONFIG_DATA
#include "Can_MemMap.h"



/* Controller structure defined here for all config sets */


const struct Can_ControllerStruct_PC
    CanConfigSet_PC_EcuTestNode =
{
    CanConf_CanController_EcuTestNode,      /* Id as provided by GUI */
    (boolean)TRUE,   /* Contoller is used=1 or not_used=0*/
    0x52610000U, /* Can Controller Base Address */
			(boolean)FALSE,    /* Automatic wakeup via bus activity */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Rx Processing Type */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Tx Processing Type */
    (boolean)TRUE,/* BusOff  TRUE = Interrupt FALSE = Polling */
	(boolean)TRUE,    /* TRUE = Interrupt FALSE = Polling */
	(boolean)TRUE,    /* Auto retransmission on Tx error Enable/Disable */
	NULL_PTR,
	    CAN_CONTROLLER_INSTANCE_MCAN1,  /* Controller Instance */
};



const struct Can_ControllerStruct_PC
    *CanConfigSet_CanController_List_PC[CAN_NUM_CONTROLLER]=
{
    &CanConfigSet_PC_EcuTestNode,
};



/* All the Mailbox objects(MB's) will be defined here for all config sets */
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_4_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_4_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_5_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_5_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_6_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_6_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_7_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_7_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_0_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_0_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_1_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_1_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_2_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_2_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_3_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_3_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_8_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_8_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_9_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_9_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_10_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_10_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_11_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_11_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_12_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_12_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_13_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_13_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_14_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_14_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_15_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_15_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_16_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_16_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_17_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_17_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_18_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_18_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_19_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_19_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_20_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_20_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_21_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_21_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_22_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_22_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_23_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_23_EcuTestNode,  /* CanObjectId - Holds handle Id */
};
static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_HOH_24_EcuTestNode =
{
    CanConf_CanHardwareObject_HOH_24_EcuTestNode,  /* CanObjectId - Holds handle Id */
};


/* List of the Mailboxes */
const struct Can_MailboxStruct_PC
    *CanConfigSet_CanHardwareObject_List_PC[CAN_NUM_MAILBOXES] =
{
    &CanConfigSet_PC_HOH_4_EcuTestNode,
    &CanConfigSet_PC_HOH_5_EcuTestNode,
    &CanConfigSet_PC_HOH_6_EcuTestNode,
    &CanConfigSet_PC_HOH_7_EcuTestNode,
    &CanConfigSet_PC_HOH_0_EcuTestNode,
    &CanConfigSet_PC_HOH_1_EcuTestNode,
    &CanConfigSet_PC_HOH_2_EcuTestNode,
    &CanConfigSet_PC_HOH_3_EcuTestNode,
    &CanConfigSet_PC_HOH_8_EcuTestNode,
    &CanConfigSet_PC_HOH_9_EcuTestNode,
    &CanConfigSet_PC_HOH_10_EcuTestNode,
    &CanConfigSet_PC_HOH_11_EcuTestNode,
    &CanConfigSet_PC_HOH_12_EcuTestNode,
    &CanConfigSet_PC_HOH_13_EcuTestNode,
    &CanConfigSet_PC_HOH_14_EcuTestNode,
    &CanConfigSet_PC_HOH_15_EcuTestNode,
    &CanConfigSet_PC_HOH_16_EcuTestNode,
    &CanConfigSet_PC_HOH_17_EcuTestNode,
    &CanConfigSet_PC_HOH_18_EcuTestNode,
    &CanConfigSet_PC_HOH_19_EcuTestNode,
    &CanConfigSet_PC_HOH_20_EcuTestNode,
    &CanConfigSet_PC_HOH_21_EcuTestNode,
    &CanConfigSet_PC_HOH_22_EcuTestNode,
    &CanConfigSet_PC_HOH_23_EcuTestNode,
    &CanConfigSet_PC_HOH_24_EcuTestNode,
};


#define  CAN_STOP_SEC_CONFIG_DATA
#include "Can_MemMap.h"

/*******************************************************************************
 *  End of File: Can_Cfg.c
 ******************************************************************************/
