/* ======================================================================
*   Copyright (C) 2022-2023 Texas Instruments Incorporated
*
*   All rights reserved. Property of Texas Instruments Incorporated.
*   Restricted rights to use, duplicate or disclose this code are
*   granted through contract.
*
*   The program may not be used without the written permission
*   of Texas Instruments Incorporated or against the terms and conditions
*   stipulated in the agreement under which this program has been
*   supplied.
* ==================================================================== */
 /***************************************************************************
  Project: Application_Can
  Date   : 2024-03-23 21:27:51

  This file is generated by EB Tresos
  Do not modify this file, otherwise the software may behave in unexpected way.

 *****************************************************************************/

/*
 * Module switch
 */
#define CAN_PBCFG_SOURCE
/**********************************************************************************************************************
 *  INCLUDES
 *********************************************************************************************************************/
 #include "Can.h"
 #include "Can_Cfg.h"

/**********************************************************************************************************************
 *  VERSION CHECK
 *********************************************************************************************************************/

/** \brief Can configuration Major Version */
#define CAN_PBCFG_C_MAJOR_VERSION           (9U)
/** \brief Can configuration Minor Version */
#define CAN_PBCFG_C_MINOR_VERSION           (0U)
/** \brief Can configuration Patch Version */
#define CAN_PBCFG_C_PATCH_VERSION           (1U)

/*  Version checking  */
 #if (   (CAN_SW_MAJOR_VERSION != (9U))||(CAN_SW_MINOR_VERSION != (0U)))
  #error "Version numbers of Can_PBcfg.c and Can.h are inconsistent!"
#endif
#if (   (CAN_CFG_MAJOR_VERSION != (9U))||(CAN_CFG_MINOR_VERSION != (0U)))
  #error "Version numbers of Can_PBcfg.c and Can_Cfg.h are inconsistent!"
#endif
/**********************************************************************************************************************
 *  GLOBAL DATA
 *********************************************************************************************************************/
#define CAN_START_SEC_CONFIG_DATA
#include "Can_MemMap.h"




/* Baud Rate Structure for all configsets */
static Can_BaudConfigType
    CanConfigSet_EcuTestNode_CanControllerBaudrateConfig =
{
    500U,      /* in Kbps */
    20U,       /* Prop Segement value */
    14U,          /* Phase Segment 1 */
    5U,          /* Phase Segment 2 */
    1U, /* Sync jump width */
    40U, /* Sum of all timing parameters */
    4U,   /* Controller BRP value for Baud */
	 /* Data phase Baudrate */
    {
        2000U,     /* in Kbps */
        3U,        /* Prop Segement value */
        3U,           /* Phase Segment 1 */
        1U,           /* Phase Segment 2 */
        1U,  /* Sync jump width */
        8U, /* Sum of all timing parameters */
        5U,   /* Controller BRP value for Baud */
        16U, /* Specifies the Transceiver Delay Compensation Offset */
        (boolean)TRUE, /* Specifies if the bit rate switching shall be used */
    }
};

/*List of the Baudrate structures */
static Can_BaudConfigType
    *CanConfigSet_EcuTestNode_BaudRateConfigList[]=
{
    &CanConfigSet_EcuTestNode_CanControllerBaudrateConfig,
};


/* Controller structure defined here for all config sets */
static Can_ControllerType
    CanConfigSet_EcuTestNode =
{
    &CanConfigSet_EcuTestNode_CanControllerBaudrateConfig,  /* pointer to default Baud structure */
    CanConfigSet_EcuTestNode_BaudRateConfigList,  /* List of available Baudrate structs */
};

/*List of the Controller structures */
static Can_ControllerType
    *CanConfigSet_CanController_List[]=
{
    &CanConfigSet_EcuTestNode,
};


static Can_HwFilterType
    CanConfigSet_HOH_0_EcuTestNode_CanHwFilter =
{
    0U,  /*CanHwFilterCode*/
    0U,  /*Filter Mask*/
};
static Can_HwFilterType
    CanConfigSet_HOH_1_EcuTestNode_CanHwFilter =
{
    0U,  /*CanHwFilterCode*/
    119799820U,  /*Filter Mask*/
};
static Can_HwFilterType
    CanConfigSet_HOH_2_EcuTestNode_CanHwFilter =
{
    417000177U,  /*CanHwFilterCode*/
    536799999U,  /*Filter Mask*/
};
static Can_HwFilterType
    CanConfigSet_HOH_3_EcuTestNode_CanHwFilter =
{
    256U,  /*CanHwFilterCode*/
    256U,  /*Filter Mask*/
};

static Can_HwFilterType
    *CanConfigSet_HOH_0_EcuTestNode_HwFilterConfigList[]=
{
    &CanConfigSet_HOH_0_EcuTestNode_CanHwFilter,
};
static Can_HwFilterType
    *CanConfigSet_HOH_1_EcuTestNode_HwFilterConfigList[]=
{
    &CanConfigSet_HOH_1_EcuTestNode_CanHwFilter,
};
static Can_HwFilterType
    *CanConfigSet_HOH_2_EcuTestNode_HwFilterConfigList[]=
{
    &CanConfigSet_HOH_2_EcuTestNode_CanHwFilter,
};
static Can_HwFilterType
    *CanConfigSet_HOH_3_EcuTestNode_HwFilterConfigList[]=
{
    &CanConfigSet_HOH_3_EcuTestNode_CanHwFilter,
};
/* All the Mailbox objects(MB's) will be defined here for all config sets */
            
static Can_MailboxType
    CanConfigSet_HOH_0_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    0U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    2U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    CanConfigSet_HOH_0_EcuTestNode_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
	    (boolean)FALSE,   /* CanTriggerTransmitEnable */
};

static Can_MailboxType
    CanConfigSet_HOH_1_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    2U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    CanConfigSet_HOH_1_EcuTestNode_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
	    (boolean)FALSE,   /* CanTriggerTransmitEnable */
};

static Can_MailboxType
    CanConfigSet_HOH_2_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    2U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    CanConfigSet_HOH_2_EcuTestNode_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
	    (boolean)FALSE,   /* CanTriggerTransmitEnable */
};

static Can_MailboxType
    CanConfigSet_HOH_3_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    0U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    2U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    CanConfigSet_HOH_3_EcuTestNode_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
	    (boolean)FALSE,   /* CanTriggerTransmitEnable */
};

static Can_MailboxType
    CanConfigSet_HOH_4_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    0U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    8U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
    (boolean)FALSE,  /* CanTriggerTransmitEnable */
	};

static Can_MailboxType
    CanConfigSet_HOH_5_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    1U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    8U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
    (boolean)FALSE,  /* CanTriggerTransmitEnable */
	};

static Can_MailboxType
    CanConfigSet_HOH_6_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    2U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    2U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    8U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
    (boolean)FALSE,  /* CanTriggerTransmitEnable */
	};

static Can_MailboxType
    CanConfigSet_HOH_7_EcuTestNode =
{
    1U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
    3U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    8U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_EcuTestNode,  /* Controller */
    NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* CanHardwareObjectUsesPolling */
    (boolean)FALSE,  /* CanTriggerTransmitEnable */
	};



/* List of the Mailboxes */
static Can_MailboxType
    *CanConfigSet_CanHardwareObject_List[] =
{
    &CanConfigSet_HOH_0_EcuTestNode,
    &CanConfigSet_HOH_1_EcuTestNode,
    &CanConfigSet_HOH_2_EcuTestNode,
    &CanConfigSet_HOH_3_EcuTestNode,
    &CanConfigSet_HOH_4_EcuTestNode,
    &CanConfigSet_HOH_5_EcuTestNode,
    &CanConfigSet_HOH_6_EcuTestNode,
    &CanConfigSet_HOH_7_EcuTestNode,
};

#define CAN_STOP_SEC_CONFIG_DATA
#include "Can_MemMap.h"

#define CAN_START_SEC_CONFIG_DATA
#include "Can_MemMap.h"

/*Can Config struct */
const struct Can_ConfigType_s CanConfigSet =
{
    CanConfigSet_CanController_List,    /* List of all controllers in this config set */
    (1U),    /* max Controllers */
    CanConfigSet_CanHardwareObject_List,
    (8U),    /* total number of mail boxes in this configset */
    .MaxBaudConfigID =
    {
        [0] = 0U
    }
};

#define  CAN_STOP_SEC_CONFIG_DATA
#include "Can_MemMap.h"
/*********************************************************************************************************************
 *  End of File: Can_PBcfg.c
 *********************************************************************************************************************/
